• Codeweavers Crossover 12.5.1 and X11 error

    So I downloaded the latest version of crossover via the FLOCK giveaway as it's about to expire (bin version, as I install as my user). Since I have recently installed SLED 11 SP3 on the notebook (HP ProBook 4430s) with a 128GB OCZ Vertex4 SSD it was time to re-install.

    Install went fine and also installed the required 32bit libs (libICE, libSM, libX11, libxcb or libXext) and fired it up to install my 2003 Pro version of MS Office. Alas, it failed with a 'X11 does not work' error, so a quick google came across http://www.codeweavers.com/support/w.../x11notworking which didn't work, so there is a few days left with support, so fired off a support request.

    They replied within 24 hours (Kudos to the Codeweavers Support team) with a link to this faq, which was indeed fixed the issue http://www.codeweavers.com/support/w...aq/suse_libxcb

    So after removing the crossover libxcb.so* files so it uses the SLE system files, all is good and now have a working MS Office suite on SLED 11 SP3.